# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## Unreleased

## [0.17.7] - 2019-09-30
- Fix responsive borders
- Improve concept pages
- Add missing translations

## [0.17.6] - 2019-09-18
- Remove align-items-stretch form stretch function

## [0.17.5] - 2019-09-13
- Update board border visibility
- Fix Search bar font weight
- Update container wide

## [0.17.4] - 2019-09-04
- Add container wide
- Update mixin for grid

## [0.17.3] - 2019-09-04
- Fix mixin for headline size for responsive

## [0.17.2] - 2019-09-03
- Add mixin for board content size in teasers
- Disable scroll always, when menu is opened

## [0.17.1] - 2019-08-26
- Change keyboard focus colors
- Add divided grid
- Add menu scroll fix

## [0.17.0] - 2019-08-22
- Language support
- Translation Norwegian nb_NO
- Translation Norwegian nn_NO
- Translation Swedish sv_SE
- Disable scroll always, when menu is opened
- Change keyboard focus colors
- New grid divider with mobile responsive

## [0.16.2] - 2019-08-13
- Concept page design updates
- Add no-divider for remove grid borders on aside

## [0.16.0] - 2019-08-06
- Fix article title font line height
- Fix headline date
- Fix image caption align
- Remove author from teaser headline
- Remove author from teaser default
- Add kwyboard tab focus with javascript
- Remove margin bottom in footer widget
- Fixes for article longread
- Add vimeo and youtube for html embed Marko Siilak
- Move separate line every link in footer widget

## [0.15.4] - 2019-07-25
- Fix menu scroll for expand menu
- Fix leadin font
- Fix navbar fade
- Fix image opener
- Fix flex grid and teaser content margin

## [0.15.3] - 2019-07-09
- Main menu scroll from mobile devices
- Fixes for social media icons

## [0.15.1] - 2019-07-09
- Main menu scroll from mobile devices
- Fixes for social media icons

## [0.15.0] - 2019-07-09
- Change colors and font size for article list and most read
- Fix footer teaser hover
- Fix meta first title
- Add social icons for board and footer
- Fix teaser class names
- Fix menu scroll for tablets and mobile
- Add smooth scrolling for main menu
- Fix ew-leadin size for mobile

## [0.14.3] - 2019-07-05
### Added
- Add design for article ordered lists and the widget title
## [0.14.2] - 2019-07-03
### Changed
- Version number updated in WP theme

## [0.14.1] - 2019-07-03
### Changed
- Updated ui for concept ajax
- Updated teaser list
### Added
- Rss support
- Css for google analytics widget

## [0.14.0] - 2019-07-03
### Added
- Added a permalink property to concepts
- Load more for concepts

### Changed
- iframe update for layout
- facts update related to design
- Update metatag
- Margins for article content
- Add article margin as a class
- Update class replace
- Remove not needed styles and border right for responsive
- Headline teaser image width
- Fix hover for gallery
- Fix article images for mobile, replace no padding classes
- Fix iframes and some element positions in layout
- Join class tags
- Fact box fix for mobile
- Remove duplicated code. Fix sidebar meta info.

## [0.13.2] - 2019-07-02
### Changed
- NewsmlArticles and concepts no longer instantiates twice.
- Updated meta tags with concept links
- Naming for teasers

## [0.13.1] - 2019-06-28
### Changed
- Fixed section header style

## [0.13.0] - 2019-06-28
### Changed
- Layout changes
- Responsive fixes
- Borders for responsive
- Fact box fixes

## [0.12.0] - 2019-06-27
### Added
- Added Mark style in article
- Added date to Headline teaser 
- Added Section header widget
- Added teaser Subject (kicker)

### Changed
- Added right border in article
- Fixed font sizes
- Fixed scss config variables
- Fixed teaser names, class names and file names
- Fixed iframe classes

## [0.11.0] - 2019-06-20
- Added a Concept page
- Updated metatags.twig to get page-title instead of blog name
- Changed all pages.php/templates to work with version 0.3.0 of eu-resources

## [0.10.0] - 2019-06-20
- Fixed Front page lines
- Fixed Article images opener for all images
- Fixed Teasers date display position
- Fixed Teasers kicker was always empty, now it is taken from teaser subject
- Fixed Teasers leading don't have any limit anymore
- Fixed Headline teaser font
- Fixed Gallery teaser now can have multiple authors
- Fixed Gallery teaser headline
- Fixed Default teaser hover and margins
- Changed Article metatags moved to new file
- Changed Article Metadata updates
- Changed Teasers text switched to teaser leadin instead of article preamble
- Removed Article had duplicated meta information
- Removed Menu section colors

## [0.9.0] - 2019-06-13
- New teaser list widget
- New gallery opener
- Fixes for Article page
- Fixes for link color for phone number

## [0.8.0] - 2019-06-10
- Teaser lines
- Teaser dates
- Teaser small image fix
- Widgets fixes
- Menu hover and active
- Menu open close fix
- Full black container fix
- SCSS and Bootstrap variables 
- Article table fix
- Article fact box fix
- Article author
- Article social media links
- Video fix for mobile

## [0.7.0] - 2019-06-03
- Menu fixes
- Teaser floating and borders, teaser hover, margin and paddings
- Logo in head menu
- Plyr for Youtube and Vimeo videos

## [0.6.0] - 2019-05-29
### Added
- Iframely
- Plyr video player

### Changed
- Navigation links
- Article list design
- Teaser hover
- Photo gallery teaser
- List teaser
- List with image teaser
- Vimeo
- 404


## [0.5.1] - 2019-05-23
### Added
- Vimeo in article

### Changed
- Fixed header
- Fixed footer
- Fixed teaser
- Removed default ad design, not used
- Fixed menu button and navigation
- Theme author is now Naviga
- 404
- Dark wrapper board


## [0.5.0] - 2019-05-22
### Added
- config.json. As of `everyware-base 0.10.0` config.json should be provided by the theme
### Changed
- Loosened `everyware-base` dependency version
- More component slots for teaser templates

## [0.4.6] - 2019-05-21
### Changed
- Flex for teasers with new border lines

## [0.4.5] - 2019-05-21
### Changed
- Loosened composer dependency constraints
- Updated structure of assets

## [0.4.0] - 2019-05-13
### Changed
- The table template now outputs `caption`, `head`, `body` and `foot` from the upgraded `TableParser` of everyware-newsml.

## [0.3.0] - 2019-05-08
### Removed 
- `Startup` is no longer instantiated in the base theme, so any inheriting theme will be able to decide wether to use the `Startup` from the base theme resources or use it's own.
### Changed
- Main menu

## [0.2.2] - 2019-05-06
### Changed
- Responsiveness fixes
- Teaser fixes

## [0.2.1] - 2019-05-03
### Changed
- Main menu redesign

## [0.2.0] - 2019-04-29
### Added
- MG2 metadata
- config.json
### Changed
- Menu

## [0.1.0] - 2019-04-17
First beta version
